Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.serverstub
Class IdnTableHandler

    java.lang.Object
      com.verisign.epp.framework.EPPIdnTableHandler
          com.verisign.epp.serverstub.IdnTableHandler

All Implemented Interfaces:
  EPPEventHandler

    public class IdnTableHandler

extends EPPIdnTableHandler

The `IdnMapDomainHandler` class extends `DomainHandler` to include handling the IDN Map Extension.

Constructor Summary
`IdnTableHandler()` Constructs an instance of IdnMapDomainHandler

Method Summary
`protected EPPEventResponse` | `doIdnTableCheck(EPPEvent aEvent, java.lang.Object aData)` Override base handler `doIdnTableCheck` method and add handling of the IDN Table Info Command.
`protected EPPEventResponse` | `doIdnTableInfo(EPPEvent aEvent, java.lang.Object aData)` Override base handler `doIdnTableInfo` method and add handling of the IDN Table Info Command.
`protected void` | `preHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Do any pre-handling of commands.

Methods inherited from class com.verisign.epp.framework.EPPIdnTableHandler
`getNamespace, handleEvent, postHandleEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdnTableHandler

    public IdnTableHandler()

  Constructs an instance of IdnMapDomainHandler

Method Detail

### preHandleEvent

    protected void preHandleEvent(EPPEvent aEvent,
                                  java.lang.Object aData)
                           throws EPPHandleEventException

  Do any pre-handling of commands.

  Overrides:
    `preHandleEvent` in class `EPPIdnTableHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `IdnTableHandler` This is assumed to be an instance of SessionData here.
  Throws:
    `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

### doIdnTableCheck

    protected EPPEventResponse doIdnTableCheck(EPPEvent aEvent,
                                               java.lang.Object aData)

  Override base handler `doIdnTableCheck` method and add handling of the IDN Table Info Command.

  Specified by:
    `doIdnTableCheck` in class `EPPIdnTableHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `IdnTableHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doIdnTableInfo

    protected EPPEventResponse doIdnTableInfo(EPPEvent aEvent,
                                              java.lang.Object aData)

  Override base handler `doIdnTableInfo` method and add handling of the IDN Table Info Command.

  Specified by:
    `doIdnTableInfo` in class `EPPIdnTableHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `IdnTableHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.